com.tibbo.aggregate.common.filter.converter

## Class StringFieldBuilder

- java.lang.Object
- - com.tibbo.aggregate.common.filter.converter.BaseExpressionBuilder
  - - com.tibbo.aggregate.common.filter.converter.FieldExpressionBuilder
    - - com.tibbo.aggregate.common.filter.converter.StringFieldBuilder

-     public class StringFieldBuilder
      extends FieldExpressionBuilder

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.filter.converter.BaseExpressionBuilder

      `builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringFieldBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `withStringFieldFunction(java.lang.String columnName, DataTable paneTable, java.lang.String paneField, java.lang.String func)`
    `void` | `withStringFieldFunction(java.lang.String columnName, java.lang.String strValue, java.lang.String func, boolean and)`
    `void` | `withStringFieldInOperation(java.lang.String columnName, DataTable paneTable)`
    `void` | `withStringFieldInOperation(java.lang.String columnName, java.lang.String stringList, boolean and)`
    `void` | `withStringFieldOperation(java.lang.String columnName, DataTable paneTable, java.lang.String paneField, java.lang.String opCode)`
    `void` | `withStringFieldOperation(java.lang.String columnName, java.lang.String strValue, java.lang.String opCode, boolean and)`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.converter.FieldExpressionBuilder

      `expandValuePresence, withValuePresence, wrapBinaryOperationColumn, wrapFunctionWithTwoParameters, wrapFunctionWithTwoParametersNotBraced, wrapSingleColumnArgument`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.converter.BaseExpressionBuilder

      `build, withExpressionByAnd, withExpressionByOr, withLogicalAnd, withLogicalAnd, withLogicalOr, withLogicalOr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringFieldBuilder

          public StringFieldBuilder()

  - ### Method Detail

    - #### withStringFieldOperation

          public void withStringFieldOperation(java.lang.String columnName,
                                               DataTable paneTable,
                                               java.lang.String paneField,
                                               java.lang.String opCode)

    - #### withStringFieldInOperation

          public void withStringFieldInOperation(java.lang.String columnName,
                                                 DataTable paneTable)

    - #### withStringFieldFunction

          public void withStringFieldFunction(java.lang.String columnName,
                                              DataTable paneTable,
                                              java.lang.String paneField,
                                              java.lang.String func)

    - #### withStringFieldOperation

          public void withStringFieldOperation(java.lang.String columnName,
                                               java.lang.String strValue,
                                               java.lang.String opCode,
                                               boolean and)

    - #### withStringFieldInOperation

          public void withStringFieldInOperation(java.lang.String columnName,
                                                 java.lang.String stringList,
                                                 boolean and)

    - #### withStringFieldFunction

          public void withStringFieldFunction(java.lang.String columnName,
                                              java.lang.String strValue,
                                              java.lang.String func,
                                              boolean and)